Subject: [bug#28045] [PATCH] gnu: Add openfoam

From: [email-masked] (Ludovic Courtès)
Date: Wed, 23 Aug 2017 00:33:12 +0200

Hi Paul,

Paul Garlick <[email-masked]> skribis:

> A method of implementing this would be for 'scotch32' to inherit the
> 'scotch' definition, replacing the configure phase with a similar
> section specifying INTSIZE32 instead of INTSIZE64.  This would be
> similar to the Debian approach, in which a different Makefile.inc is
> used for 32-bit and 64-bit integers.
>
> A new package 'pt-scotch32' would then be the same as 'pt-scotch' but
> inherit from 'scotch32' instead of 'scotch'.
>
> Any comments?

This sounds like the right approach to me (you could even omit
‘pt-scotch32’ as a first stab if you don’t need it for Openfoam.)

Ludo’.